'From Squeak2.8 of 13 June 2000 [latest update: #2359] on 9 January 2001 at 2:22:49 pm'!

!HandMorph methodsFor: 'world menu' stamp: 'rew 1/9/2001 14:16'!
openMenu

"temporary support of WorldWindow (easy open)"


	"Build the open window menu for the world."
	| menu |
	menu _ (MenuMorph entitled: 'open...') defaultTarget: self.
	menu addStayUpItem.
	menu add: 'browser' action: #openBrowser.
	menu add: 'package browser' action: #openPackageBrowser.
	menu add: 'method finder' action: #openSelectorBrowser.
	menu add: 'workspace' action: #openWorkspace.
	menu add: 'file list' action: #openFileList.
	menu add: 'file...' action: #openFileDirectly.
	menu add: 'transcript' action: #openTranscript.
	menu add: 'inner world' action: #openWorldInWindow.
	menu add: 'SUnit' action: #openSUnit.
	menu addLine.
	menu add: 'simple change sorter' selector: #openChangeSorter: argument: 1.
	menu add: 'dual change sorter' selector: #openChangeSorter: argument: 2.
	menu addLine.
	menu add: 'email reader' action: #openEmail.
	menu add: 'web browser' action: #openWebBrowser.
	menu add: 'IRC chat' action: #openIRC.
	menu addLine.
	(Preferences mvcProjectsAllowed and: [Smalltalk includesKey: #StandardSystemView])
		ifTrue: [menu add: 'mvc project' action: #openMVCProject].
	menu add: 'morphic project' action: #openMorphicProject.
	^ menu
! !

!HandMorph methodsFor: 'world menu commands' stamp: 'rew 1/9/2001 14:17'!
openSUnit
	TestRunner new openAsMorph! !


!ScreenController methodsFor: 'menu messages' stamp: 'rew 1/9/2001 14:20'!
openSUnit
	TestRunner new open! !

!ScreenController methodsFor: 'nested menus' stamp: 'rew 1/9/2001 14:19'!
openMenu
	^ SelectionMenu labelList:
		#(	'keep this menu up'

			'browser'
			'package browser'
			'method finder'
			'workspace'
			'file list'
			'file...'
			'transcript'
			'morphic world'
			'SUnit'

			'simple change sorter'
			'dual change sorter'

			'mvc project'
			'morphic project'
			)
		lines: #(1 10 12)
		selections: #(durableOpenMenu
openBrowser openPackageBrowser openSelectorBrowser openWorkspace openFileList openFile openTranscript openMorphicWorld openSUnit
openSimpleChangeSorter openChangeManager
openProject  openMorphicProject  )
"
ScreenController  new openMenu startUp
"! !
