'From Squeak2.8 of 13 June 2000 [latest update: #2359] on 23 August 2000 at 10:37:05 pm'!
Model subclass: #TestRunner
	instanceVariableNames: 'result details passFail failures errors tests testSuite passFailText detailsText lastPass testsList selectedFailureTest selectedErrorTest selectedSuite '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SUnit-UI'!
TestRunner class
	instanceVariableNames: ''!

!TestRunner methodsFor: 'constants' stamp: 'SSS 7/5/2000 13:53'!
debugButtonLabel
	^ 'DEBUG'! !

!TestRunner methodsFor: 'constants' stamp: 'SSS 7/5/2000 14:08'!
debugState

	^true! !

!TestRunner methodsFor: 'constants' stamp: 'Sames 4/11/2000 19:13'!
errorColor
	^ Color red! !

!TestRunner methodsFor: 'constants' stamp: 'Sames 4/11/2000 19:13'!
failColor
	^ Color yellow! !

!TestRunner methodsFor: 'constants' stamp: 'Sames 4/11/2000 19:13'!
passColor
	^ Color green! !

!TestRunner methodsFor: 'constants' stamp: 'SSS 7/5/2000 13:53'!
refreshButtonLabel
	^ 'REFRESH'! !

!TestRunner methodsFor: 'constants' stamp: 'SSS 7/5/2000 13:59'!
refreshButtonState

	^true! !

!TestRunner methodsFor: 'constants' stamp: 'SSS 7/5/2000 14:30'!
resetColor
	^ Color white! !

!TestRunner methodsFor: 'constants' stamp: 'Sames 4/11/2000 19:32'!
runButtonColor
	^ Color yellow! !

!TestRunner methodsFor: 'constants' stamp: 'Sames 4/11/2000 18:14'!
runButtonLabel
	^ 'RUN ALL'! !

!TestRunner methodsFor: 'constants' stamp: 'Sames 4/11/2000 17:32'!
runButtonState

	^true! !

!TestRunner methodsFor: 'constants' stamp: 'Sames 4/11/2000 18:17'!
runOneButtonLabel
	^ 'RUN'! !

!TestRunner methodsFor: 'constants' stamp: 'SSS 7/5/2000 14:23'!
windowLabel

	^'SUnit Camp Smalltalk 2.7.1 Test Runner'! !

!TestRunner methodsFor: 'processing' stamp: 'rew 8/23/2000 20:44'!
debugErrorTest: anInteger
	selectedErrorTest _ anInteger.  "added rew"
	selectedFailureTest _ 0.			"added rew"
	self changed: #selectedFailureTest.		"added rew"
	self changed: #selectedErrorTest.		"added rew"
	(anInteger ~= 0)
		ifTrue: [(result errors at: anInteger) debug]! !

!TestRunner methodsFor: 'processing' stamp: 'rew 8/23/2000 21:49'!
debugFailureTest: anInteger

	(anInteger ~= 0)
		ifTrue: [(result failures at: anInteger) debugAsFailure].

	selectedFailureTest _ anInteger.
	selectedErrorTest _ 0.
	self changed: #selectedErrorTest.
	self changed: #selectedFailureTest.
! !

!TestRunner methodsFor: 'processing' stamp: 'SSS 7/5/2000 13:59'!
debugTest! !

!TestRunner methodsFor: 'processing' stamp: 'rew 8/23/2000 20:47'!
refreshTests
	tests _ (TestCase allSubclasses collect: [:each | each name]) asOrderedCollection.
	self changed: #tests.
	testSuite := nil.
	selectedSuite _ 0.
	selectedFailureTest _ 0.
	selectedErrorTest _ 0.
	self changed: #selectedFailureTest.		"added rew"
	self changed: #selectedErrorTest.		"added rew" 
	self changed: #selectedSuite.
	self refreshWindow! !

!TestRunner methodsFor: 'processing' stamp: 'rew 8/23/2000 21:06'!
runOneTest
	Cursor execute showWhile: 
		[testSuite notNil
			ifTrue: 
				[self runWindow.
				result _ (TestSuitesScripter run: testSuite) run.
				self updateWindow: result]
			ifFalse: 
				[self runWindow.
				self displayPassFail: 'No Test Suite Selected']]! !

!TestRunner methodsFor: 'processing' stamp: 'rew 8/23/2000 21:05'!
runTests
	Cursor execute showWhile: 
		[self runWindow.
		result _ self suite run.
		self updateWindow: result]! !

!TestRunner methodsFor: 'processing' stamp: 'rew 5/15/2000 21:08'!
selectedErrorTest
	^selectedErrorTest! !

!TestRunner methodsFor: 'processing' stamp: 'rew 8/23/2000 21:01'!
selectedFailureTest

	^selectedFailureTest! !

!TestRunner methodsFor: 'processing' stamp: 'rew 5/15/2000 21:08'!
selectedSuite

	^selectedSuite! !

!TestRunner methodsFor: 'processing' stamp: 'rew 8/23/2000 20:52'!
selectedSuite: anInteger 
	anInteger ~= 0 ifTrue: [testSuite _ tests at: anInteger].
	selectedSuite _ selectedSuite = anInteger
					ifTrue:[0]
					ifFalse:[anInteger].
	selectedFailureTest _ 0.
	selectedErrorTest _ 0.
	self changed: #selectedFailureTest.		"added rew"
	self changed: #selectedErrorTest.		"added rew" 
	self changed: #selectedSuite.! !

!TestRunner methodsFor: 'interface opening' stamp: 'SSS 7/5/2000 14:21'!
open
	"TestRunner new open"
	"=== build the parts ... ==="
	| topWindow runButton errorsList failuresList runOneButton refreshButton debugButton |
	(topWindow _ StandardSystemView new) label: self windowLabel;
	 model: self.
	runButton _ PluggableButtonView
				on: self
				getState: #runButtonState
				action: #runTests
				label: #runButtonLabel.
	runButton label: self runButtonLabel;
	 insideColor: self runButtonColor.
	runOneButton _ PluggableButtonView
				on: self
				getState: #runButtonState
				action: #runOneTest
				label: #runOneButtonLabel.
	runOneButton label: self runOneButtonLabel;
	 clearInside: self runButtonColor;
	 insideColor: self runButtonColor.
	refreshButton _ PluggableButtonView
				on: self
				getState: #refreshButtonState
				action: #refreshTests
				label: #refreshButtonLabel.
	refreshButton label: self refreshButtonLabel;
	 clearInside: self runButtonColor;
	 insideColor: self runButtonColor.
	debugButton _ PluggableButtonView
				on: self
				getState: #debugState
				action: #debugTest
				label: #debugButtonLabel.
	debugButton label: self debugButtonLabel;
	 clearInside: self runButtonColor;
	 insideColor: self runButtonColor.
	passFailText _ PluggableTextView
				on: self
				text: #passFail
				accept: nil.
	detailsText _ PluggableTextView
				on: self
				text: #details
				accept: nil.
	testsList _ PluggableListView
				on: self
				list: #tests
				selected: nil
				changeSelected: #selectedSuite:.
	failuresList _ PluggableListView
				on: self
				list: #failures
				selected: nil
				changeSelected: #debugFailureTest:.
	errorsList _ PluggableListView
				on: self
				list: #errors
				selected: nil
				changeSelected: #debugErrorTest:.
	"=== size the parts ... ==="
	runButton borderWidth: 1;
	 window: (0 @ 0 corner: 20 @ 15).
	runOneButton borderWidth: 1;
	 window: (0 @ 0 corner: 20 @ 15).
	refreshButton borderWidth: 1;
		window: (0 @ 0 corner: 20 @ 30).
	passFailText borderWidth: 1;
	 window: (0 @ 0 corner: 100 @ 10).
	detailsText borderWidth: 1;
	 window: (0 @ 0 corner: 100 @ 10).
	testsList borderWidth: 1;
	 	window: (0 @ 0 corner: 60 @ 30).
	failuresList borderWidth: 1;
	 window: (0 @ 0 corner: 100 @ 30).
	errorsList borderWidth: 1;
	 window: (0 @ 0 corner: 100 @ 30).
"	debugButton borderWidth: 1;
		window: (0 @ 0 corner: 20 @ 60)."
	"=== assemble the whole ... ==="
	topWindow addSubView: refreshButton.
	topWindow addSubView: testsList toRightOf: refreshButton.
	topWindow addSubView: runOneButton toRightOf: testsList.
	topWindow addSubView: runButton below: runOneButton.
	topWindow addSubView: passFailText below: refreshButton.
	topWindow addSubView: detailsText below: passFailText.
	topWindow addSubView: failuresList below: detailsText.
	topWindow addSubView: errorsList below: failuresList.
	"=== open it ... ==="
	topWindow minimumSize: 200 @ 200.
	topWindow controller open! !

!TestRunner methodsFor: 'interface opening' stamp: 'rew 8/23/2000 21:44'!
openAsMorph
	"TestRunner new openAsMorph"
	"=== build the parts ... ==="
	| topWindow runButton errorsList failuresList runOneButton refreshButton |
	Smalltalk isMorphic
		ifFalse: [^self open].
	(topWindow _ SystemWindow labelled: self windowLabel) model: self.
	runButton _ PluggableButtonMorph
				on: self
				getState: #runButtonState
				action: #runTests
				label: #runButtonLabel.
	runButton color: self runButtonColor.
	runButton onColor: self runButtonColor offColor: self runButtonColor.
	runOneButton _ PluggableButtonMorph
				on: self
				getState: #runButtonState
				action: #runOneTest
				label: #runOneButtonLabel.
	runOneButton color: self runButtonColor.
	runOneButton onColor: self runButtonColor offColor: self runButtonColor.
	refreshButton _ PluggableButtonMorph
				on: self
				getState: #refreshButtonState
				action: #refreshTests
				label: #refreshButtonLabel.
	refreshButton color: self runButtonColor.
	refreshButton onColor: self runButtonColor offColor: self runButtonColor.
	passFailText _ PluggableTextMorph
				on: self
				text: #passFail
				accept: nil.
	passFailText retractable: true.
	detailsText _ PluggableTextMorph
				on: self
				text: #details
				accept: nil.
	detailsText retractable: true.
	testsList _ PluggableListMorph
				on: self
				list: #tests
				selected: #selectedSuite
				changeSelected: #selectedSuite:.
	testsList autoDeselect: false.
	failuresList _ PluggableListMorph
				on: self
				list: #failures
				selected: #selectedFailureTest	
				changeSelected: #debugFailureTest:.
	errorsList _ PluggableListMorph
				on: self
				list: #errors
				selected: #selectedErrorTest
				changeSelected: #debugErrorTest:.
	"=== assemble the whole ... ==="
	topWindow addMorph: refreshButton frame: (0.0 @ 0.0 extent: 0.2 @ 0.2).
	topWindow addMorph: testsList frame: (0.2 @ 0.0 extent: 0.6 @ 0.2).
	topWindow addMorph: runOneButton frame: (0.8 @ 0.0 extent: 0.2 @ 0.1).
	topWindow addMorph: runButton frame: (0.8 @ 0.1 extent: 0.2 @ 0.1).
	topWindow addMorph: passFailText frame: (0.0 @ 0.2 extent: 1.0 @ 0.1).
	topWindow addMorph: detailsText frame: (0.0 @ 0.3 extent: 1.0 @ 0.1).
	topWindow addMorph: failuresList frame: (0.0 @ 0.4 extent: 1.0 @ 0.3).
	topWindow addMorph: errorsList frame: (0.0 @ 0.7 extent: 1.0 @ 0.3).
	"=== open it ... ==="
	topWindow openInWorldExtent: 400 @ 200.
	self refreshWindow.
	^ topWindow! !

!TestRunner methodsFor: 'accessing' stamp: 'Sames 4/11/2000 17:25'!
details

	^details! !

!TestRunner methodsFor: 'accessing' stamp: 'Sames 4/11/2000 17:25'!
errors

	^errors! !

!TestRunner methodsFor: 'accessing' stamp: 'Sames 4/11/2000 17:26'!
failures

	^failures! !

!TestRunner methodsFor: 'accessing' stamp: 'Sames 4/12/2000 18:12'!
formatTime: aTime 
	aTime hours > 0 ifTrue: [^aTime hours printString , 'h'].
	aTime minutes > 0 ifTrue: [^aTime minutes printString , 'min'].
	^aTime seconds printString , ' sec'! !

!TestRunner methodsFor: 'accessing' stamp: 'Sames 4/11/2000 17:26'!
passFail

	^passFail! !

!TestRunner methodsFor: 'accessing' stamp: 'Sames 4/11/2000 18:20'!
suite
	| tokens stream |
	tokens := (TestCase subclasses collect: [:each | each name , '* '])
				copyWithout: 'SUnitTest* '.
	stream := WriteStream on: String new.
	tokens do: [:each | stream nextPutAll: each].
	^TestSuitesScripter run: stream contents! !

!TestRunner methodsFor: 'accessing' stamp: 'Sames 4/11/2000 18:39'!
tests
	^ tests! !

!TestRunner methodsFor: 'accessing' stamp: 'Sames 4/12/2000 18:19'!
timeSinceLastPassAsString: aResult
	(lastPass isNil or: [aResult hasPassed not]) ifTrue: [^ ''].
	^ ', ' , (self formatTime: (Time now subtractTime: lastPass)) , ' since last Pass'! !

!TestRunner methodsFor: 'initialize' stamp: 'rew 8/23/2000 20:57'!
initialize
	result _ TestResult new.
	passFail _ 'N/A'.
	details _ '...'.
	failures _ OrderedCollection new.
	errors _ OrderedCollection new.
	tests _ (TestCase allSubclasses collect: [:each | each name]) asOrderedCollection.
	selectedSuite _ 0.
	selectedFailureTest _ 0.
	selectedErrorTest _ 0.
! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/11/2000 17:38'!
displayDetails: aString
	details := aString.
	self changed: #details! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/11/2000 17:37'!
displayErrors: anOrderedCollection

	errors := anOrderedCollection.
	self changed: #errors! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/11/2000 17:37'!
displayFailures: anOrderedCollection

	failures := anOrderedCollection.
	self changed: #failures! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/11/2000 17:36'!
displayPassFail: aString
	passFail := aString.
	self changed: #passFail! !

!TestRunner methodsFor: 'updating' stamp: 'SSS 7/5/2000 14:31'!
refreshWindow
	passFailText isMorph
		ifTrue: 
			[passFailText color: Color white.
			detailsText color: Color white]
		ifFalse: 
			[passFailText insideColor: Color white.
			detailsText insideColor: Color white].
	self updateErrors: TestResult new.
	self updateFailures: TestResult new.
	self displayPassFail: 'N/A'.
	self displayDetails: '...'! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/12/2000 18:52'!
runWindow
	passFailText isMorph
		ifTrue: 
			[passFailText color: Color white.
			detailsText color: Color white]
		ifFalse: 
			[passFailText insideColor: Color white.
			detailsText insideColor: Color white].
	self updateErrors: TestResult new.
	self updateFailures: TestResult new.
	self displayPassFail: 'Running...'.
	self displayDetails: '...'! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/12/2000 18:20'!
updateDetails: aTestResult 
	self displayDetails: aTestResult printString , (self timeSinceLastPassAsString: aTestResult).
	aTestResult hasPassed ifTrue: [lastPass _ Time now]! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/11/2000 17:35'!
updateErrors: aTestResult

	self displayErrors: (aTestResult errors collect: [:error | error printString])! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/11/2000 17:35'!
updateFailures: aTestResult

	self displayFailures: (aTestResult failures collect: [:failure | failure printString])! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/12/2000 18:57'!
updatePartColors: aColor 
	passFailText isMorph
		ifTrue: 
			[passFailText color: aColor.
			detailsText color: aColor]
		ifFalse: 
			[passFailText insideColor: aColor.
			detailsText insideColor: aColor]! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/11/2000 18:27'!
updatePassFail: aTestResult 
	| message |
	message _ aTestResult hasPassed
				ifTrue: ['Pass']
				ifFalse: ['Fail'].
	self displayPassFail: message! !

!TestRunner methodsFor: 'updating' stamp: 'Sames 4/12/2000 18:54'!
updateWindow: aTestResult 
	aTestResult errors size + aTestResult failures size = 0
		ifTrue: [self updatePartColors: self passColor]
		ifFalse: [aTestResult errors size > 0
				ifTrue: [self updatePartColors: self errorColor]
				ifFalse: [self updatePartColors: self failColor]].
	self updatePassFail: aTestResult.
	self updateDetails: aTestResult.
	self updateFailures: aTestResult.
	self updateErrors: aTestResult! !


!TestRunner class methodsFor: 'instance creation' stamp: 'Sames 4/11/2000 17:33'!
new

	^super new initialize! !

